#
# spec file for package perl-Pod-MinimumVersion
#
# Copyright (c) 2020 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           perl-Pod-MinimumVersion
Version:        50
Release:        2.19
#Upstream: GPL-1.0-or-later
%define cpan_name Pod-MinimumVersion
Summary:        Perl version for POD directives used
License:        GPL-3.0-or-later
Group:          Development/Libraries/Perl
URL:            https://metacpan.org/release/%{cpan_name}
Source0:        https://cpan.metacpan.org/authors/id/K/KR/KRYDE/%{cpan_name}-%{version}.tar.gz
Source1:        cpanspec.yml
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  perl
BuildRequires:  perl-macros
BuildRequires:  perl(IO::String) >= 1.02
BuildRequires:  perl(Pod::Parser)
BuildRequires:  perl(version)
Requires:       perl(IO::String) >= 1.02
Requires:       perl(Pod::Parser)
Requires:       perl(version)
%{perl_requires}

%description
'Pod::MinimumVersion' parses the POD in a Perl script, module, or document,
and reports what version of Perl is required to process the directives in
it with 'pod2man' etc.

%prep
%setup -q -n %{cpan_name}-%{version}
find . -type f ! -path "*/t/*" ! -name "*.pl" ! -path "*/bin/*" ! -path "*/script/*" ! -name "configure" -print0 | xargs -0 chmod 644

%build
perl Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%check
make test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%files -f %{name}.files
%defattr(-,root,root,755)
%doc Changes pod-minimumversion
%license COPYING

%changelog
* Wed Oct 28 2020 Dirk Stoecker <opensuse@dstoecker.de>
  Refresh spec file with cpanspec to fix build with perl 5.32
* Wed Feb 15 2017 coolo@suse.com
- initial package 50
  * created by cpanspec 1.78.08
